//
//  AMTickerSign.h
//  MBTicker
//
//  Created by Andreas on Wed Aug 20 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//

//  This is an abstract baseclass for ticker objects.
//  You need to implement at least the size and drawAtPoint:
//  methods.


#import <AppKit/AppKit.h>
#import "AMTickerDefinitions.h"


@interface AMTickerSign : NSObject <NSCopying, NSCoding> {
	NSString *identifier;
	AMScrollDirection scrollDirection;
	AMFadeInOutType fadeInOutType;
	BOOL continuousScrolling;
	int loopCount;
	NSTimeInterval loopDelay;
	NSSize size;
	AMTickerActionType actionType;
	NSString *actionString;
}

- (NSString *)identifier;
- (void)setIdentifier:(NSString *)value;

- (NSSize)size;
	// subclasses need to overwrite this method

- (void)setSize:(NSSize)newSize;

- (void)drawAtPoint:(NSPoint)point;
	// subclasses need to overwrite this method

- (AMScrollDirection)scrollDirection;
- (void)setScrollDirection:(AMScrollDirection)newScrollDirection;

- (AMFadeInOutType)fadeInOutType;
- (void)setFadeInOutType:(AMFadeInOutType)newFadeInOutType;

- (BOOL)continuousScrolling;
- (void)setContinuousScrolling:(BOOL)newContinuousScrolling;

- (int)loopCount;
- (void)setLoopCount:(int)newLoopCount;

- (NSTimeInterval)loopDelay;
- (void)setLoopDelay:(NSTimeInterval)value;

- (AMTickerActionType)actionType;
- (void)setActionType:(AMTickerActionType)newActionType;

- (NSString *)actionString;
- (void)setActionString:(NSString *)newActionString;


@end
